# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class VersionConflictException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.VersionConflictException

All Implemented Interfaces:
  java.io.Serializable

    public class VersionConflictException

extends ServiceException

The VersionConflictException should be thrown by a service provider when an attempt is made to modify an entry based on a stale version ID.

See Also:
  Serialized Form

Constructor Summary
`VersionConflictException()`
`VersionConflictException(ErrorDomain.ErrorCode errorCode)`
`VersionConflictException(ErrorDomain.ErrorCode errorCode, java.lang.Throwable cause)`
`VersionConflictException(java.net.HttpURLConnection httpConn)`
`VersionConflictException(IEntry currentEntry)`
`VersionConflictException(IEntry currentEntry, java.lang.Throwable cause)`

Method Summary
`void` `generate(ExtensionProfile extProfile, com.google.gdata.util.common.xml.XmlWriter xw)` Generates XML.
`IEntry` `getCurrentEntry()`
`void` `setCurrentEntry(IEntry entry)`

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionConflictException

    public VersionConflictException()

### VersionConflictException

    public VersionConflictException(IEntry currentEntry)

### VersionConflictException

    public VersionConflictException(IEntry currentEntry,
                                    java.lang.Throwable cause)

### VersionConflictException

    public VersionConflictException(java.net.HttpURLConnection httpConn)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

### VersionConflictException

    public VersionConflictException(ErrorDomain.ErrorCode errorCode)

### VersionConflictException

    public VersionConflictException(ErrorDomain.ErrorCode errorCode,
                                    java.lang.Throwable cause)

Method Detail

### getCurrentEntry

    public IEntry getCurrentEntry()

### setCurrentEntry

    public void setCurrentEntry(IEntry entry)

### generate

    public void generate(ExtensionProfile extProfile,
                         com.google.gdata.util.common.xml.XmlWriter xw)
                  throws java.io.IOException

  Generates XML.

  Parameters:
    `extProfile` - Extension profile.
    `xw` - Output writer.
  Throws:
    `java.io.IOException`